﻿using List_Text1.Services;
using System;

namespace List_Text1
{
    class Program
    {
        static void Main(string[] args)
        {
            var caminhoArquivo = @"c:\dados\txt\ListaContatos.txt";

            Console.WriteLine("Salvando uma lista de objetos em um arquivo texto\n");
            var lista = ContatoService.GetContatos();

            try
            {
                ContatoService.SalvarListaParaTexto(lista, caminhoArquivo, '\t');
                ContatoService.ExibirArquivoTexto(caminhoArquivo);
                Console.ReadKey();
            }
            catch (Exception ex)
            {
                Console.WriteLine("Erro ao gerar arquivo texto " + ex.Message);
            }
        }
    }
}
